[arch-commits] Commit in python-cairocffi/repos/community-any (PKGBUILD PKGBUILD)

Jiachen Yang farseerfc at archlinux.org
Mon Oct 5 07:58:01 UTC 2020


    Date: Monday, October 5, 2020 @ 07:58:00
  Author: farseerfc
Revision: 718733

archrelease: copy trunk to community-any

Added:
  python-cairocffi/repos/community-any/PKGBUILD
    (from rev 718732, python-cairocffi/trunk/PKGBUILD)
Deleted:
  python-cairocffi/repos/community-any/PKGBUILD

----------+
 PKGBUILD |   78 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 39 insertions(+), 39 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-10-05 07:57:08 UTC (rev 718732)
+++ PKGBUILD	2020-10-05 07:58:00 UTC (rev 718733)
@@ -1,39 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Marti Raudsepp <marti at juffo.org>
-# Contributor: Florijan Hamzic <florijanh at gmail.com>
-
-pkgname=python-cairocffi
-pkgver=1.1.0
-pkgrel=3
-pkgdesc="cairocffi is a CFFI-based drop-in replacement for Pycairo, a set of Python bindings and object-oriented API for cairo."
-arch=('any')
-url="https://cairocffi.readthedocs.io/"
-license=('BSD')
-depends=('python-cffi' 'cairo' 'python-xcffib')
-makedepends=('python-cffi' 'python-setuptools' 'cairo'
-             'python-xcffib' 'gdk-pixbuf2')
-checkdepends=('python-pytest-runner' 'python-pytest-cov' 'python-pytest-flake8'
-              'python-pytest-isort')
-optdepends=('gdk-pixbuf2: for cairocffi.pixbuf')
-source=("$pkgname-$pkgver.tar.gz::https://github.com/Kozea/cairocffi/archive/v${pkgver}.tar.gz")
-sha512sums=('d32e8d1a41d287818c84594d584b9951d37102a336b44cd1d0486f808cae8f8d771b6d4864889f9802f3f010f91c4e7612afbb0292b1cabcdb5a2238e074df2e')
-
-
-build() {
-  cd "$srcdir/cairocffi-$pkgver"
-  python setup.py build
-}
-
-check() {
-  export LC_CTYPE=en_US.utf8
-
-  cd "$srcdir/cairocffi-$pkgver"
-  python setup.py pytest || warning "Tests failed"
-}
-
-package() {
-  cd "$srcdir/cairocffi-$pkgver"
-  python setup.py install --root="$pkgdir" --prefix=/usr -O1 --skip-build
-
-  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-}

Copied: python-cairocffi/repos/community-any/PKGBUILD (from rev 718732, python-cairocffi/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-10-05 07:58:00 UTC (rev 718733)
@@ -0,0 +1,39 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Marti Raudsepp <marti at juffo.org>
+# Contributor: Florijan Hamzic <florijanh at gmail.com>
+
+pkgname=python-cairocffi
+pkgver=1.1.0
+pkgrel=4
+pkgdesc="cairocffi is a CFFI-based drop-in replacement for Pycairo, a set of Python bindings and object-oriented API for cairo."
+arch=('any')
+url="https://cairocffi.readthedocs.io/"
+license=('BSD')
+depends=('python-cffi' 'cairo' 'python-xcffib')
+makedepends=('python-cffi' 'python-setuptools' 'cairo'
+             'python-xcffib' 'gdk-pixbuf2')
+checkdepends=('python-pytest-runner' 'python-pytest-cov' 'python-pytest-flake8'
+              'python-pytest-isort')
+optdepends=('gdk-pixbuf2: for cairocffi.pixbuf')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/Kozea/cairocffi/archive/v${pkgver}.tar.gz")
+sha512sums=('d32e8d1a41d287818c84594d584b9951d37102a336b44cd1d0486f808cae8f8d771b6d4864889f9802f3f010f91c4e7612afbb0292b1cabcdb5a2238e074df2e')
+
+
+build() {
+  cd "$srcdir/cairocffi-$pkgver"
+  python setup.py build
+}
+
+check() {
+  export LC_CTYPE=en_US.utf8
+
+  cd "$srcdir/cairocffi-$pkgver"
+  python setup.py pytest || echo "Tests failed"
+}
+
+package() {
+  cd "$srcdir/cairocffi-$pkgver"
+  python setup.py install --root="$pkgdir" --prefix=/usr -O1 --skip-build
+
+  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+}


More information about the arch-commits mailing list